
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>IBM云计算架构师：Mesos新功能以及roadmap简介 / iVAN</title>

    <meta name="description" content="IBM云计算架构师：Mesos新功能以及roadmap简介 今天主要为大家介绍下Mesos社区,分享Mesos最近发布的一些新功能,以及未来会做的一些项目. 1 Mesos社区介绍  Mesos是Apache下的开源分布式资源管理框架,它被称为是分布式系统的内核,是DCOS,也就是我们通常所说的数据中心操作系统的的基础.Mesos最初是由加州大学伯克利分校的AMPLab开发的. 我们可以看到2014年参加mesos conf的是260多人,2015年在西雅图一下涨到了700多人,所以mesos在2015年是发展迅猛的一年.现在在mesos社区贡献代码的主">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">IBM云计算架构师：Mesos新功能以及roadmap简介</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>今天主要为大家介绍下Mesos社区，分享Mesos最近发布的一些新功能，以及未来会做的一些项目。</p>
<p>1 Mesos社区介绍 </p>
<p>Mesos是Apache下的开源分布式资源管理框架，它被称为是分布式系统的内核，是DCOS，也就是我们通常所说的数据中心操作系统的的基础。Mesos最初是由加州大学伯克利分校的AMPLab开发的。</p>
<p>我们可以看到2014年参加mesos conf的是260多人，2015年在西雅图一下涨到了700多人，所以mesos在2015年是发展迅猛的一年。现在在mesos社区贡献代码的主要是mesospher，twitter，IBM和Intel，大多数committer都来自这mesospher和twitter。但是现在twitter的好几个工程师都跳到了mesosphere，同时mesospher也有几个工程师跳到了Intel，现在IBM在社区逐渐发力，从目前代码的提交量和参与人员来看，已经成为第二大贡献者。</p>
<p>还有一点就是我经常把mesos社区和openstack社区做一些比较，mesos和openstack到现在都已经发展5年多了，openstack峰会上次的人数是将近7000人，mesos才700来人，但是我仔细想了下，其实也不奇怪。Openstack项目很多，有十几个核心项目，分摊下来的话，其实一个项目大概也就对应6,700人，这么一想的话，其实mesos社区还是挺活跃的。</p>
<p>Mesos的生态系统在2015年发展也很快，出现了好多新的mesos用户和新的mesos framework。并且好多公司都在基于mesos开发自己的framework，包括vmware，cisco，huawei，苹果等等。个人感觉是，对于mesos，大家更看中的是上层的framework，如何让上层的framework来最大化的把mesos用好，是好多公司一直在探索的，这些探索产生的一些需求又推进了Mesos，形成一个良性循环。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGJhcGx1cy5jbi91cGxvYWRmaWxlLzIwMTYvMDcyNy8yMDE2MDcyNzAyMTkyMzEyNC5qcGc=.jpg"></p>
<p>这个图很形象的描述了Mesos生态系统的发展历程：</p>
<p>左上角是基于mesos产生一些商业化的产品，服务，来帮助用户提供DCOS的功能。</p>
<p>左下角就是用户在使用的时候，会有一些特殊定制的需求，服务提供商需要根据这些需求提供解决方案。</p>
<p>右边这一步就是说如果是一些很common的解决方案的话，就需要把这些方案贡献给社区。</p>
<p>然后就进入下一轮迭代开发：改进产品，提供解决方案，贡献社区，其实这个和OpenStack的开发流程基本上是一样的，都分为这三步。</p>
<p>新应用的话，主要是mesos和越来越多的framework开始继承了，包括kibana，kafka，k8s，cassandra, swarm等等，另外一个值得注意的是华为贡献了他们的CloudFoundry的framework，虽然现在还处在一个原型阶段，但是CloudFoundry和Mesos集成又为Mesos生态圈添加了一员大将，我觉得如果有人在基于CloudFoundry做PaaS的，可以对CloudFoundry和Mesos做一些调研，他们的集成能够让用户的数据中心资源使用更加充分。</p>
<p>2Mesos社区最近发布的一些新功能 </p>
<p>接下来我们看下Mesos社区在最近一些版本发布的新功能，Mesos 0.27马上发布，现在已经开始了0.28的开发，至于什么时候到1.0，这个不好说。</p>
<p>1. Resources/Attributes discovery (MESOS-3366)</p>
<p>在一个异构的计算环境中，客户在运行作业的时候，有时候对硬件有一些特定的需求，例如GPU，网卡类型，CPU架构，操作系统版本等等，但是这些属性，Mesos agent在启动的时候，都不会主动上报给Mesos Master节点的，用户虽然可以通过—resources —attribute等flag在mesos agent启动的时候指定一些属性值，但是这样做的缺点是如果换了一台agent，这些属性值可能需要改变，不便于移植。所以社区就做了这个项目，能够实现让用户在mesos agent启动的时候，指定一些专门做资源搜集，资源发现的一些hook脚本，让这些脚本帮忙搜集mesos agent上用户需要的指定资源，用户需要做的就是按照mesos的需要写一些资源搜集，资源发现的插件，在Mesos Agent启动的时候作为参数传给Mesos Agent，就可以通过这些Hook把用户需要的资源搜集上来，同时这些插件可以在不同的Mesos Agent上去使用，用户不需要改代码，直接就可以运行。</p>
<p>2. Quota (MESOS-1791)</p>
<p>Quota主要是用来做资源预留的，和Mesos的Dynamic/Static Reservation比较像，都是为某个role去预留一些资源，但是Dynamic/Static Reservation的资源预留主要是host级别的，但是Quota的资源预留是集群级别的，一旦资源被某个role通过Quota预留后，这些资源就不能分给别的role去使用了。通常在我们提到Quota的时候，会主要关心两个值：Quota的Minimal Guarantee和Quota的maximal limit。现在Mesos的Quota支持只做了Minimal Guarantee，未来会加入对Quota maximal limit的支持。</p>
<p>Quota支持的场景主要是当用户的一些framework开发完成后，可能需要运行一些很critical的作业，用户期望这些作业在提交后，能马上运行，不用等其它的framework释放资源。对于这种framework的作业，用户可以为当前的framework的role设定一个quota，然后当用户的作业运行的时候，可以马上得到自己通过quota预留的资源，保证用户作业的SLA。设置Quota的前提是当前系统必须有足够的资源或者足够的没有被使用的offer，如果系统有足够的空闲资源，用户可以直接预留这些空闲资源；如果空闲资源不够的话，Mesos会通过去decline一些没有使用的offer，也就是我们通常所说的outstanding offer来增加一些系统的空闲资源，保证Quota的设置可以成功。</p>
<p>3.Implicit Role (MESOS-3988)</p>
<p>有这个项目的主要原因是静态配置role的一些局限。在没有Implicit Role之前，在mesos master启动的时候，需要通过—roles flag指定当前Mesos集群可用的role。当前方案的主要缺点是Mesos集群的role是静态的，不能动态的变化，这种配置很不灵活。</p>
<p>例如当用户在当前的Mesos集群添加一个新的framework，并且这个framework用的是一个新的role，这种情况下，就需要系统管理员重启Mesos Master，在Mesos Master重启时，在—roles flag加入即将加入的framework的role，才能保证Mesos Master能够认识新的framework的role，保证新的framework可以成功注册。</p>
<p>在引入了Implicit Role的功能后，用户在Mesos Master启动的时候好，可以不指定任何的role，所有role的都是默认创建的，例如在用户注册framework或者设置Quota的时候，如果当前集群没有framework或者Quota需要的role，Mesos会自动创建这些role，当这些framework被删除时，如果当前被删的framework的role没有任何framework使用时，这个role就会被删掉。通过implicit role简化了用户创建，注册新的framework的流程。</p>
<p>4. Oversubscription (Usage Slack/Allocation Slack MESOS-1607)</p>
<p>我们可以通过这张图介绍下Mesos中的资源超售，这张图主要是描述了一个agent上的所有的资源类型。资源超售现在分两类，第一类是Usage Slack的资源超售，第二个是Allocation Slack的资源超售。接下来详细介绍这两种超售类型。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZGJhcGx1cy5jbi91cGxvYWRmaWxlLzIwMTYvMDcyNy8yMDE2MDcyNzAyMTkzMTQ3Mi5qcGc=.jpg"></p>
<p>资源超售主要是在可撤销的资源上利用暂时没有使用的资源来运行tasks/executors，而 Mesos 可以随时撤销任务。Mesos可以利用资源超售提升系统的资源利用率。</p>
<p>对于Usage Slack类型的资源超售，它有两个插件来控制：资源估算和服务质量（QoS）控制，同时对现有的资源进行分配、资源监视器和 mesos slave 进行了扩展。</p>
<p>Reserved Resources Resources：预留资源，主要有两类，一类是静态预留，一类是动态预留。静态预留可以在mesos agent启动的时候通过“--resources”参数设置。动态预留有两种方式去设置。第一个方法是通过framework在运行时，动态的为当前的framework预留一些资源。第二个是用户可以通过http endpoint直接在某个agent上为某个role去预留一些资源。</p>
<p>Allocated Resources Resources: 已经分配的资源，主要包含两类，第一类是已经被framework接受用于执行作业的资源，第二类是被outstanding offer所占用的那些资源。</p>
<p>Revocable Resources Resources：可撤销回收或者可被抢占的资源。现在Revocable的资源可以分两类：Usage Slack和Allocation Slack，当前的逻辑这两类资源都是通过agent去杀掉使用这类资源的executor来释放资源。</p>
<p>Reservation Slack：主要是指agent上总的资源和这个agent上预约的资源差值，这部分资源主要是作为unreserved resource供其它role去使用。</p>
<p>Allocation Slack： 预留资源和实际分配预留资源的差值。预留资源减掉实际分配预留资源即为allocation slack，这部分资源可以被借给其他的role去使用，在当前的role有新作业时，会对借出去的资源进行回收。这个项目现在还在进行中，感兴趣的可以看下MESOS-1607.</p>
<p>Usage Slack：实际分配的资源和实际使用的资源差值，举个例子，mesos分给某个executor/task 10个cpus，但是实际当这个task在运行的时候，只是用了60%的cpus，那么我们就可以把剩余的没用的40%作为usage slack汇报给mesos allocator对这部分资源进行重新调度。当然因为Usage Slack都是通过plugin的形式去做的，用户可以根据自己的需求写自己的resources estimator和qos controller来对usage slack进行处理。</p>
<p>3Mesos社区计划做的项目 </p>
<p>1. Quota Enhancement MESOS-4392</p>
<p>当前Quota的实现有一些缺陷可能会导致系统的资源使用率不高，例如一个role的quota设置为cpus：100；mem：2048，但是当在真正使用的时候，这个role可能只有cpus：30；mem：1024被framework去使用了，剩下的cpus：70；mem：1024因为Quota的限制，不能被其它的role去使用，造成了资源浪费。所以社区目前有个项目计划对Quota做一些改进，加入一种新的revocable resources，名字还没定，但是我估计可能会叫Quota Slack，就是被Quota预留的但是没有被分配出去的资源，这部分资源可以作为revocable resources，借给其它的role去使用，提升系统的资源利用率。当借出去资源的role又有新的资源请求时，会通过杀掉一些使用quota slack的executor来释放资源。</p>
<p>2. Optimistic Offer MESOS-1607</p>
<p>需要这个功能的主要原因是，现在所有的offer都是pessimistic Offer，所谓的pessimistic Offer就是说当一个offer被发给framework后，就被当前的framework锁定了，其它的famework都不能使用这个offer，只有当在这个offer上launch完task后，framework把当前offer剩余的资源返回给allocator后，这个offer才能被下一个framework去使用。Optimistic Offer主要是想当mesos allocator发出去一个offer时，多个framework可以同时竞争这个resources， 谁抢到这个offer，这个offer就可以为谁所用。这样做的好处是。。。。</p>
<p>3. Multi-Role Framework MESOS-1763</p>
<p>当前Mesos一个framework只能使用一个role上的资源，如果一个framework在注册的时候没有指定role，那它就会用默认的role(*)，role的主要作用是：</p>
<p>1）首先是每个role都会有个weight,如果一个role的weight比较高的话，那么在mesos allocator进行资源分配的时候，weight高的会按照DRF分配策略拿到比较多的资源。</p>
<p>2）资源预留：资源预留主要是通过role去做的，每个role可以静态或者动态的去预留一些资源。</p>
<p>3） 资源配额：每个role可以配置一个资源配额，这个配额是cluster级别的。</p>
<p>如果一个framework只有一个role的话，对于meta-framework会有一个问题。所谓的meta-framework就是这个framework可以再管理一堆其它的framework，Marathon就是一个很典型的meta-framework，我们可以通过Marathon管理Spark，Kubernets，Swarm等framework。但是因为现在一个framework只能有一个role，所以即使Marathon可以管理多个framework，目前意义也不是太大，因为所有的framework共享同一个role，资源分配，利用都不是很有效率。所以现在一个workaround的方法是每个Marathon只管理一个framework。</p>
<p>如果引入了Multiple role支持后，我们就可以给Marathon设置多个role，被Marathon管理的framework可以每个使用一个role，这样Marathon就可以把不同role的资源分配给上层的framework，提升了资源分配，共享的效率。</p>
<p>4. Fine Grained Resource Offer MESOS-3765</p>
<p>所谓的细粒度的Resource Offer，主要是相对于现在的Mesos Offer来说的，当前的Mesos Allocator在给framework发Offer的时候，都是粗力度的。所谓的粗力度就是在给上层的framework分配resources offer的时候，总是把某个agent上所有的所有资源发给上层的某个framework。也就是说某个agent在某一时刻只能作为一个framework的offer。当前这种粗力度的offer分配导致的主要问题是在某些情况下，可能会导致一些framework拿不到资源。一个例子就是一个Mesos集群有少量的很强大的agent和大量greedy的framework，framework的数量多于agent的数量，在这种情况下，会导致一些framework拿不到资源运行作业。</p>
<p>如果Mesos的Allocator能按照细粒度的方式对资源进行分配，那么就可以把一个agent上的resource作为多个offer分发给上层的多个framework，保证上层的framework能对资源共享，不会因为某些贪婪的framwork导致其他的framwork不能运行。</p>
<p>关于这个项目的方案，现在还在讨论，有人建议看能不能让framework直接把请求发给Mesos，然后Mesos直接把当前framework需要的资源发给它就完了。社区的反馈是，如果让framework主动申请资源，可能会导致一些贪婪的framework或者一些用户写的有bug的framework把系统资源都占了，导致其他的framework不能运行。另外一个方案是Mesos Master在启动时，指定Offer的大小，Mesos Allocator在发offer的时候，会按照制定的Offer的大小发offer，这个方案可能会被采纳。</p>
<p>5. Unified Container MESOS-2840</p>
<p>Docker是Mesos的一等公民，所以Mesos社区最近在对docker集成作比较大的改进，“Unified Container”是xxxxxxx</p>
<p>Mesos的所有设计文档</p>
<p>https://cwiki.apache.org/confluence/display/MESOS/Design+docs+--+Shared+Links，大家可以通过这个链接拿到基本上所有Mesos的设计文档，可以挑几个感兴趣的看看，了解下Mesos的工作原理。</p>
<p>IBM Platform Computing &amp; Mesos</p>
<p>最后想跟大家介绍下IBM在Mesos基础上研发的Mesos Connector，Mesos Connector主要是使Mesos集成了IBM Platform Computing的EGO强大的资源共享，资源调度策略，为Mesos提前加入了社区现在还没有的资源抢占，Optimistic Offer的功能。</p>
<p>IBM Mesos Conenctor的主要特点如下：</p>
<p>1）丰富的资源共享策略</p>
<p> IBM Platform Computing EGO 是一个企业级的资源调度系统，为用户提供丰富的资源共享策略，用户可以根据自己的需求定义自己自然分配计划。Mesos 与 EGO 集成起来后，这些策略也适用于 Mesos 的 Frameworks。</p>
<p>管理员根据每个 Role/Framework 的需求，可以为其定义一定量的 Owned 资源. 就是说这些资源一定可以得到保证的，不管 Framework 什么时候想要这些资源。Owned 资源定义支持多种形式，可以是以物理机器为单位的多个机器，也可以是百分比的方式拥有每个物理机器上百分之多少。如果 Role/Framework允许，在他自己不用的时候可以把这些owned 的资源借给其他人使用。这样最大化的提供整个集群的资源利用率。</p>
<p>管理员根据每个 Role/Framework 的需求，可以定义一些资源共享策略。那些被别人 Own 完，剩下的资源称之为共享资源，每个用户都可以使用的。但每个用户使用共享资源的优先级可以不同，使用共享资源的比例也可以不同。首先，优先级高的 Role/Framework 永远优先使用共享资源，在必要的情况下，可以抢占优先级的 Role/Framework 的共享资源。这是下面要提到的资源抢占。其次，如果 Role/Framework 优先级相同，他们根据资源比例配比去使用共享资源，如果某个 Role/Framework 使用了超过了他自己配比的资源，资源抢占也会发生。还可以进一步为 Role/Framework 配置共享资源使用上限。如果贡献资源使用将要超过设置的上限，Mesos-EGO 就不允许 Role/Framework 再启动作业了。</p>
<p>2）资源抢占式策略</p>
<p>资源抢占主要发生在一下三种情况下：</p>
<p>1. 某个 Role/Framework 借了别人 Owned 资源。 但资源拥有者想要把借出去的资源要回来，资源抢占就发生了。</p>
<p>2. 高优先级 Role/Framework 抢占低优先级 Framework/role 使用的共享资源。</p>
<p>3. 某个 Role/Framework 使用了超过配比给他的共享资源。这时候 Mesos-EGO 会尝试根据资源配比去平衡 Role/Framework 使用的共享资源，所谓的资源抢占也就发生了。</p>
<p>当资源抢占发生时，Mesos-EGO 会给 Framework 发 InverseOffer 把要抢占的资源要回来。一般会给 Framework 一定的缓冲时间，只要在要求时间内把作业停掉，把资源释放了就行。但如果 Framework 不配合，Mesos-EGO 会强制 Framework 的一些作业，把资源释放出来给高优先级 Framework, 或资源本身所有者使用。 </p>
<p>讲师介绍：刘光亚</p>
<p> </p>
<ul>
<li>西安交通大学硕士，目前就职于IBM Platform Computing 系统科技部云计算部门，担任云计算开发部架构师。</li>
<li>参与Nova、Cinder、Heat和Magnum等OpenStack社区项目开发，目前担任Magnum的core member。</li>
<li>2014年参与Mesos生态系统的调研以及Mesos社区的开发工作，Mesos活跃贡献者。西安OpenStack Meetup和Mesos Meetup组织者。</li>
</ul>
<p><b><br /></b></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-01-30 15:11:04</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/%e9%9b%86%e7%be%a4/" title="集群">集群</a>, <a href="https://www.iamivan.net/tag/framework/" title="Framework">Framework</a>, <a href="https://www.iamivan.net/tag/mesos/" title="Mesos">Mesos</a>, <a href="https://www.iamivan.net/tag/ibm/" title="IBM">IBM</a>, <a href="https://www.iamivan.net/tag/agent/" title="agent">agent</a>, <a href="https://www.iamivan.net/tag/%e8%b5%84%e6%ba%90%e5%85%b1%e4%ba%ab/" title="资源共享">资源共享</a>, <a href="https://www.iamivan.net/tag/offer/" title="offer">offer</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>IBM云计算架构师：Mesos新功能以及roadmap简介的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK5BwLp.html" rel="bookmark">云计算架构师的五个须知</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				云计算正在成为企业部署新应用程序的一个主要方法,这一趋势正在迅速改变着IT就业市场.其中,对于云计算架构师的需求特别高. 事实上,目前在求职网站Indeed.com上列出了大约11100名云计算架构师的岗位,其年薪范围为七万五千美元到十五万美元以上.但是,在成功应聘云计算架构师岗位之前,你必须在整个面试过程中赢得潜在雇主的青睐. 这里,我们列出了在云计算架构师招聘面试中面试者有可能被问到的五个关键问题,以及针对如何回答问题的建议. 1.云计算架构师的工作职责与数据中心其他岗位有什么不同? 作为一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9YaroM.html" rel="bookmark">数字方舟，末日起航-记2012云计算架构师峰会</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 在霜叶飞红的收获季节,我有幸参加了51CTO在京举办的&quot;2012云计算架构师峰会&quot;,两天的大会可谓精彩纷呈,内容丰富.既为广大IT精英们提供了一个碰撞观念.交流经验的平台,同时也为业界人士提供了一个前瞻未来.创新分享的舞台.下面说说我的大会感想和收获的思考.   一.云的创新与解读    云计算从出现以来,促进了IT技术的深刻变革,同时为整个信息产业的发展带来了全新.鲜活的业务模式.从国外到中国,各个大的厂商都提出了自己的标准,但是事实上,云计算在产品级.服务级等方面缺乏一种国际统一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b32L9Nz.html" rel="bookmark">2012云计算架构师峰会圆满落幕</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				各位亲爱的看官朋友,新的一周又来到了.在上一周,可能很多朋友都会觉得51CTO的更新速度慢了很多,在这里向大家说声抱歉,因为在上一周,51CTO主办的&quot;2012云计算架构师峰会&quot;在北京顺利的召开了,很多在外地的朋友不能参与此次的技术盛宴,没关系,我们在网络上进行了直播,大家可以去看一看. 除了2012云计算架构师峰会以外,上一周还有很多文章的点击量也同样颇高,我们来一起看一看. KVM的实际使用率究竟如何? 这篇文章中所提到的KVM并不是带外管理系统,而是红帽的虚拟化技术.我们已经围绕			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnx4okb.html" rel="bookmark">IBM Domino&sol;Notes 9&period;0 新功能：Notes联邦登录的介绍及其部署使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引言 对于希望部署并体验 Notes 联邦登录(Federate Login)的用户而言,首先需要知道并理解 Notes 联邦登录实际上是通过 SAML(安全性断言标记语言,Security Assertion Markup Language)来完成的单点登录(Single Sign On)功能,如果用户同时还能够理解&quot;联邦身份&quot;,将对配置部署 Notes 联邦登录有很大的帮助,因为在配置部署过程中需要完成一个步骤来实现联邦身份.下文将先介绍 SAML 以及联邦身份,以此引导用户逐步进			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOGZ73z.html" rel="bookmark">云时代，互联网架构师的新挑战</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着阿里云.新浪云平台.腾讯云等一朵朵云的出现,云计算平台的确在推动着互联网应用模式的变化.云计算无论是作为一种新商业模式还是一种新技术,对互联网都有着深远的影响.特别是云数据中心,因为规模更大.集中度更高.出口带宽更高.可靠性要求更苛刻,所以其分布和部署方式都对互联网架构提出新的挑战. 2012年9月13日,由盛拓传媒旗下的IT168.ITPUB.IXPUB. ChinaUnix联合主办的第四届中国系统架构师大会在北京隆重召开.来自百度.淘宝.腾讯.IBM.新浪.网易.奇虎360等IT巨头的讲			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5NkBmz.html" rel="bookmark">IBM Rational Rhapsody开发环境新功能说明</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				其他添加或增强的重要功能包括:基于 OSLC 集成的单一事实来源:具有来自 TÜV SÜD 的证书,用于 ISO 26262 Road Vehicles Functional Safety 和 IEC 61508 Functional Safety 标准下的开发的参考工作流:增强的用户体验和生产力,使用专注于解决方案的指导来帮助新用户:更新了 UPDM 2.0.SysML 1.3 以及 AUTOSAR 4.0 及 3.2:提高了适用性和性能,改进了系统工程工作流和敏捷的嵌入式和实时软件开发.这些			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKPg6M.html" rel="bookmark">IBM iNotes 9企业协作新功能&colon;与IBM connections Files和IBM Docs的整合</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				与 IBM Connections Files 和 IBM Docs 整合是 iNotes9.0 中提供的一个闪亮新特性.IBM Connections Files 是一个企业级信息共享,团队协作的平台.而 IBM Docs 也是一个企业级的在线文件编辑系统.iNotes9.0 与它们的整合有效地提高了企业内部的工作效率,同时也解决了发送,接收大附件所造成的邮件速度过慢,邮件空间受限的困扰. 如何实现这个功能呢?您的企业需部署 IBM Connections 4.0 CR2 和 IBM Docs			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvr3NrM.html" rel="bookmark">2016版码农跳槽指南：云架构师成香饽饽</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是2016版码农跳槽指南:云架构师成香饽饽[IT168 云计算]2016云栖大会上海峰会召开前夕,阿里云透露将在本次大会上首次推出开放实验室workshop,为技术爱好者搭建实验平台,帮助他们迅速了解阿里云的产品特性,并快速上手. 阿里巴巴开源小组总监沈金堤表示,workshop是业界流行的线下技术交流形式,不仅有助于开发者理解掌握云计算相关的知识和技能,更可以和阿里云的专家一起探索云产品的最佳实践. 沈金堤介绍,阿里云开放实验室workshop设计了的丰富的产品应用场景供开发者动手实验			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z40NGqz.html" rel="bookmark">云架构师&colon;云端的舞者</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者:陈晓炜   链接:http://www.cnw.com.cn/industries/htm2012/20121203_259648.shtml 2012年12月03日 13:32分         作者:高杨      来源:网界网 摘要:以云为基础的各种创新开发和实施的带头人,负责确保系统的可扩展性.可靠性.安全性.可支持性,以及实现业务.IT性能和预算等各项目标.关键字:云架构师   也许你未曾听说过云架构师,但提起云计算相信一定不陌生.灵活配置资源.有效节约成本.提高设备使用率等是云			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVnkzN.html" rel="bookmark" class="title">MathType独立公式怎么转化为带编号公式</a>
					<div>
						  具体操作方法如下: 1.插入编号: Word中已输入好独立公式的那一行,在公式之前或之后想要加上公式编号的位置,双击鼠标,光标定位后,选择在word里的Mathtype--Insert Equat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMR9Lqb.html" rel="bookmark" class="title">PHP开发常规安全问题总结</a>
					<div>
						文章来源:PHP开发学习门户 地址:http://www.phpthinking.com/archives/575 php给了开发者极大的灵活性,但是这也为安全问题带来了潜在的隐患,近期需要总结一下以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeKANM.html" rel="bookmark" class="title">如何建立一个安全的MSSQL SERVER的启动账号</a>
					<div>
						server|安全       SQL SERVER的安全问题一直是困扰DBA的一个难题,作为开发者和用户希望自己的权限越大越好,最好是sa,而作为DBA希望所有的用户权限越小越好,这总是一对矛盾.一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxDDRM.html" rel="bookmark" class="title">如何在JSP中结合JavaBean</a>
					<div>
						js JSP网页吸引人的地方之一就是能结合JavaBean技术来扩充网页中程序的功能. JavaBean是一种Java类 (class),通过封装属性和方法成为具有某种功能或者处理某个业务的对象.Ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKmErp.html" rel="bookmark" class="title">占用Windows 7系统内存的两大因素</a>
					<div>
						Windows7系统用户在使用时会发现系统内存消耗很多,下面就让我们看看占用Windows7系统的两大因 素. 一.安装了腾讯QQ软件后删除来自 QQExternal.exe 这个文件.方法:任务管理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7w8wb.html" rel="bookmark" class="title">SSI使用详解&lpar;2&rpar;</a>
					<div>
						下面我们将逐一进行介绍. 1.Config命令 Config命令主要用于修改SSI的默认设置.其中: Errmsg:设置默认错误信息.为了能够正常的返回用户设定的错误信息,在HTML文件中Errmsg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAQGrb.html" rel="bookmark" class="title">编写Action测试web用例</a>
					<div>
						我们通常在开发web应用过程中,展现层Action的单元测试经常被我们忽视了,主要原因是: 1.Action层的业务逻辑比较简单.大家潜意识认为这一部分的代码不重要. 2.Action层难以模拟htt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze48EVp.html" rel="bookmark" class="title">用宏实现PPT倒计时</a>
					<div>
						  关于在PPT中插入即时时间或者倒计时的问题: 1.用加载宏来实现 2.插入一个FLASH时钟,更加方便.假如要在每页都显示,可以在模板中插入.还可以自己编写VBA来实现. 下面具有介绍第一种方法: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myw4wlz.html" rel="bookmark" class="title">PhotoShop为婚纱外景片调出红外线效果</a>
					<div>
						打开图,我会用Portraiture滤镜来做下磨皮.这里不给数值了... 接下来把模式转为CMYK模式下调节. 以下是通道混合器的截图:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My30RPz.html" rel="bookmark" class="title">32位-想给android studio配置新的模拟器 给推荐个</a>
					<div>
						问题描述 想给android studio配置新的模拟器 给推荐个 安装了android studio发现原装的模拟器用不了 下载了几个推荐的 有的因为要下载国外的东西安装失败 有的是因为系统不兼容装 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoQ6Pb.html" rel="bookmark" class="title">shiro源码分析（三）授权、认证、缓存的接口设计</a>
					<div>
						前两篇文章主要说的是认证过程,这一篇来分析下授权的过程.还是开涛大神的案例(http://jinnianshilongnian.iteye.com/blog/2020017),如下:  ? 1 2 3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwm1vM.html" rel="bookmark" class="title">LeetCode 2 Add Two Numbers</a>
					<div>
						翻译: 给你两个表示两个非负数字的链表.数字以相反的顺序存储,其节点包含单个数字.将这两个数字相加并将其作为一个链表返回. 输入: (2 -&gt; 4 -&gt; 3) + (5 -&gt; 6 - ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamAVQb.html" rel="bookmark" class="title">vb-VB有什么好用的编程助手工具</a>
					<div>
						问题描述 VB有什么好用的编程助手工具 就像VC的AssistX一样的工具. 我找的工具只有一个VB助手,只能提供鼠标滚轮的效果 解决方案 mztools 功能还是很全的 解决方案二: http:// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPGolp.html" rel="bookmark" class="title">小菜鸟请问jsp页面级联刷新怎么实现java，ssh</a>
					<div>
						问题描述 小菜鸟请问jsp页面级联刷新怎么实现java,ssh jsp页面显示第一个下拉菜单,下拉取值后,使用ajax刷新, 第二个下拉菜单显示刷新后的内容. java,jsp页面,ssh框架,eas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWLe8z.html" rel="bookmark" class="title">C&num;编译&period;resx文件base64字符串中的无效字符</a>
					<div>
						问题描述 VB重新生成解决方案,一直有一个错误: &lt;IMGsrc=&quot;file:///C:UsersbicAppDataRoamingfeiqRichOle1191289754.bmp& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWy3vz.html" rel="bookmark" class="title">软件测试职业规划</a>
					<div>
						软件测试职业规划 以下是转载内容. 软件测试人员的发展误区[4]   公司开发的产品专业性较强,软件测试人员需要有很强的专业知识,现在软件测试人员发展出现了一种测试管理者不愿意看到的景象: 1.开发技 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRKv7b.html" rel="bookmark" class="title">简要解析红外摄像机技术与市场</a>
					<div>
						红外摄像机就是在夜视状态下,摄像机会发出人们肉眼看不到的红外光线去照亮被拍摄的物体,关掉红外滤光镜,不再阻挡红外线进入CCD,红外线经物体反射后进入镜头进行成像,这时我们所看到的是由红外线反射所成的影 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkegQEb.html" rel="bookmark" class="title">编程-为什么我增加个成员就可以了？好无语</a>
					<div>
						问题描述 为什么我增加个成员就可以了?好无语 #include&lt;stdio.h&gt; #include&lt;stdlib.h&gt; struct st { char name[4]; ch ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeReKVb.html" rel="bookmark" class="title">建站一年多的经历</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 上午写的一个贴,还没写完,走开了一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RKEQb.html" rel="bookmark" class="title">关于mysql的MERGE存储引擎简单例子</a>
					<div>
						关于mysql的MERGE存储引擎简单例子 作用:可以将多个表结构相同的表 和合并到一个表中 版本支持:mysql5.1 如下例子: 假设有如下几个表:结构完全相同 article_0,article ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRN73xM.html" rel="bookmark" class="title">联通iPhone 4供货逐渐恢复 到货时间大幅缩短</a>
					<div>
						据中国联通内部人士透露,苹果iPhone 4目前基本能够保障供应,其中包括较为抢手的16GB版本,之前预定的客户有望在本周内拿到iPhone 4手机. 该人士表示,联通苹果iPhone 4合约机在全国 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodj3jM.html" rel="bookmark" class="title">BAT移动支付玩法不同 百度钱包打造一站式移动服务</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 打车App大战方兴未艾,在抢夺移动支付场景的这场竞争中,民众成了最大的受益者,嘀嘀.快的疯狂补贴,但是移动支付习惯真的养成了吗?当补贴额下降,人们不再津 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YxNPz.html" rel="bookmark" class="title">Facebook神话</a>
					<div>
						这一令人瞩目的IPO不仅引发了投行的争夺,也让全球的风投们陷入忙碌之中,http://www.aliyun.com/zixun/aggregation/1560.html&quot;&gt;Faceb ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEdLvM.html" rel="bookmark" class="title">诸位大侠，小弟求解决，ssh播放音乐，分分不多，略表诚心&lpar;&amp;amp&semi;amp&semi;gt&semi;&amp;amp&semi;amp&semi;lt&semi;&rpar;</a>
					<div>
						问题描述 诸位大侠.小弟请教下.SSH怎么实现播放音乐功能啊..麻烦哪位大侠给贴个action和配置什么的么??拜托...我原来想的挺楞的...给音乐属性添加一个状态...播放的话,.通过修改那个状态 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx08JjM.html" rel="bookmark" class="title">这个方法不走什么情况&quest;</a>
					<div>
						问题描述 解决方案 代理好使么解决方案二:&gt; forum.php?mod=redirect&amp;goto=findpost&amp;pid=4475&amp;ptid=2349代理好使么代理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xeaqb.html" rel="bookmark" class="title">delegate-unity 或者 c&num; 键盘监听</a>
					<div>
						问题描述 unity 或者 c# 键盘监听 报这个错,什么情况?还有就是,unity怎么重写键盘监听呐,求大神指点一二 Assets/Script/MidiKeyEvents.cs(36,38): e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBjdYz.html" rel="bookmark" class="title">《实践者的研究方法》&mdash;&mdash; 第2章 软件工程 2&period;2 软件过程</a>
					<div>
						2.2 软件过程 软件过程是工作产品构建时所执行的一系列活动.动作和任务的集合.活动(activity)主要实现宽泛的目标(如与利益相关者进行沟通),与应用领域.项目大小.结果复杂性或者实施软件工程的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYJoab.html" rel="bookmark" class="title">Android RelativeLayout相对布局属性简析&lowbar;Android</a>
					<div>
						RelativeLayout用到的一些重要的属性 第一类:属性值为true或false android:layout_centerHrizontal 水平居中 android:layout_cente ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlK5lp.html" rel="bookmark" class="title">php5&period;5使用Opcache加速PHP的配置详解</a>
					<div>
						使用腾讯云服务器已经有一段时间了.购买的是腾讯云服务器系统是CentOS6.3版本的Linux发行版.前段时间还一直折腾这HHVM--&gt;来自Facebook开源开发的PHP虚拟机.可惜的是一直没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Yw7Nb.html" rel="bookmark" class="title">速途网：解析IT世界网将关闭运营的真相</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 速途网11月9日消息:IT世界网内 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.037 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
